Create a refund

Create a refund

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Authentication

Private token is required.

Examples

$ curl -X 'POST' 'https://services.taxamo.com/api/v2/transactions/T60YAAAABteWsHwfho8xUz1l4fuo/refunds?line_key=SQ0Kuuvp4P9VnEzq&private_token=priv_***********&total_amount=100'
{
    "total_amount": 100,
    "tax_amount":   16.67
}
Body Params
string

Private token.

string
required

Transaction key.

string

Line identifier. If neither line key or custom id is provided, the refund amount will be assigned to lines in order.

string

Line custom identifier. If neither line key or custom id is provided, the refund amount will be assigned to lines in order.

string

Refund timestamp in yyyy-MM-dd HH:mm:ss or yyyy-MM-dd'T'HH:mm:ss'Z' format. No timezone conversion is applied.

number

Amount (without tax) to be refunded. Either amount or total amount is required. In case of line key and custom id missing, only total_amount can be used.

number

Total amount, including tax, to be refunded. Either amount or total amount is required. In case of line key and custom id missing, only total_amount can be used.

string

Refund reason, displayed on the credit note.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json